> ## Documentation Index
> Fetch the complete documentation index at: https://docs.automaticrostering.visma.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete context



## OpenAPI

````yaml /openapi.yaml delete /reason/context
openapi: 3.1.0
info:
  title: Automatic Rostering API
  version: 2.0.0
  description: >-
    Automatic Rostering acts as the modern intelligence layer for your workforce
    management product.
  license:
    name: Proprietary
servers:
  - url: https://api-stage.automaticrostering.visma.net
    description: Stage environment
  - url: https://api.automaticrostering.visma.net
    description: Production environment
security:
  - vismaConnectBearer: []
tags:
  - name: Roster
    description: Submit, monitor, stop, and fetch roster jobs.
  - name: Reason
    description: Configure integrator context used by Reasoning Engine capabilities.
paths:
  /reason/context:
    delete:
      tags:
        - Reason
      summary: Delete context
      operationId: deleteReasoningContext
      responses:
        '204':
          description: >-
            Reasoning Context deleted. Reasoning Engine capabilities use product
            defaults.
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  responses:
    InternalServerError:
      description: Server failed to process the request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      additionalProperties: false
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    vismaConnectBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Include the access token in the Authorization header using the Bearer
        scheme.

````